cabal-install-3.10.2.1: The command-line interface for Cabal and Hackage.

Safe Haskell | None
Language | Haskell2010

Distribution.Client.CmdFreeze

Description

cabal-install CLI command: freeze

Synopsis

- freezeCommand :: CommandUI (NixStyleFlags ())
- freezeAction :: NixStyleFlags () -> [String] -> GlobalFlags -> IO ()

# Documentation

freezeCommand :: CommandUI (NixStyleFlags ()) #

freezeAction :: NixStyleFlags () -> [String] -> GlobalFlags -> IO () #

To a first approximation, the `freeze` command runs the first phase of the `build` command where we bring the install plan up to date, and then based on the install plan we write out a `cabal.project.freeze` config file.

For more details on how this works, see the module Distribution.Client.ProjectOrchestration